export declare enum LogLevel {
    Debug = 1,
    Info = 2,
    Warn = 3,
    Error = 4
}
interface LoggerOptions {
    logLevel?: LogLevel;
    remoteLoggingUrl?: string;
}
export declare class Logger {
    private componentName;
    private logLevel;
    private remoteLoggingUrl?;
    constructor(componentName: string, options?: LoggerOptions);
    setLogLevel(level: LogLevel): void;
    private log;
    private sendToServer;
    debug(message: string, ...args: any[]): void;
    info(message: string, ...args: any[]): void;
    warn(message: string, ...args: any[]): void;
    error(message: string, errorObj?: Error): void;
}
export {};
